Bug Hunting Session
Bug 42664 - UI: Drop-down List in Navigator (Writer) is not Updated after Opening/Closing of Files
Summary: UI: Drop-down List in Navigator (Writer) is not Updated after Opening/Closing...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA target:6.0.0
Keywords:
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2011-11-07 03:12 UTC by Harald Koester
Modified: 2017-11-28 15:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2011-11-07 03:12:54 UTC
The drop-down list at the bottom of the Navigator in Writer is not updated if you open a second document. If more than one document is opened and one of these documents is closed, the drop-down list also is not updated. In order to reproduce the bug do the following.
1. Open a document (A) in Writer and display the Navigator (F5).
2. Open a second document (B). The Navigator is already displayed.
3. Display the opened documents by clicking the down-arrow at the bottom of the Navigator window. Both documents are displayed. OK!
4. Change to document A. (Alt-Tab or  with the menu: Window > Document A)
5. Display the opened documents by clicking the down-arrow at the bottom of the Navigator window. Only Document A is displayed. Bug!
6. Close the Navigator and open it again (F5). Now both documents are displayed at the bottom of the Navigator.
7. Change to Document B. Both documents are displayed at the bottom of the navigator. 
8. Close Document B. 
9. Change to Document A, if not already displayed.
10. Display the opened documents at the bottom of the Navigator. Document B is still displayed, though it has been closed. Bug!

Greetings
Harald
              
Browser: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.23) Gecko/20110920 Firefox/3.6.23
Comment 1 Jean-Baptiste Faure 2011-11-07 21:36:20 UTC
I reproduce this behaviour with LibreOffice 3.4.4 rc2 under Ubuntu 10.04 x86_64.
No problem if I switch between document using the taskbar of Gnome (I never use the Window menu of LibO), but the navigator needs some time to update the dropdown list.

Best regards. JBF
Comment 2 Harald Koester 2012-11-26 10:44:20 UTC
Bug still exists in Version 3.6.3.
Comment 3 QA Administrators 2015-01-05 17:52:22 UTC Comment hidden (obsolete)
Comment 4 Harald Koester 2015-01-06 15:35:22 UTC
Bug still exists in version 4.3.5 under Win 7.
Comment 5 QA Administrators 2016-01-17 20:05:01 UTC Comment hidden (obsolete)
Comment 6 Harald Koester 2016-01-18 19:20:12 UTC
Bug still exists in version 5.0.4 with Win7.
Comment 7 QA Administrators 2017-03-06 14:35:17 UTC Comment hidden (obsolete)
Comment 8 Jean-Baptiste Faure 2017-03-10 08:32:53 UTC
Still reproducible with LO 5.3.2.0.0+ and current master under Ubuntu 16.04 x86-64 both built at home.

Version: 5.3.2.0.0+
Build ID: 86bb733f6a9af9af253afe896e315b463e592dc7
Threads CPU : 4; Version de l'OS :Linux 4.4; UI Render : par défaut; VCL : gtk3; Moteur de mise en page : nouveau; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: single

Version: 5.4.0.0.alpha0+
Build ID: 0f0f02d633e2f9e69220d3d47de17b9e34b00765
Threads CPU : 4; Version de l'OS :Linux 4.4; UI Render : par défaut; VCL : gtk3; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: group

Best regards. JBF
Comment 9 Commit Notification 2017-10-02 19:43:31 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0015f28ee5782b4b6964532459ae89cbd4ad6eaa

tdf#42664 Update Navigator drop down list

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2017-11-03 08:07:39 UTC
A polite ping to Jim Raykowski: is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Thanks
Comment 11 Harald Koester 2017-11-28 15:34:34 UTC
Checked with version 5.4.3.2 (64 bit). Bug still exists. (Win 10)

Tested with version Version: 6.0.0.0.beta1 (x64)
Build ID: 97471ab4eb4db4c487195658631696bb3238656c
The bug does not appear! Hence set to Resolved Fixed.